/***************************************************************************
 * optionsprinting.cpp: implementation of OptionsPrinting class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "optionsprinting.h"

#include <KLocale>

#include "settings.h"

OptionsPrinting::OptionsPrinting(KConfig* conf, QWidget* parent)
: OptionsPage(conf, parent)
{
	QHBoxLayout* box = new QHBoxLayout(this);
	
	// Create option widgets
	//
	mStyleGroup = new QVBoxLayout(this);
	mStyle[0] = new QRadioButton(i18n("Tabulature"), this);
	mStyle[1] = new QRadioButton(i18n("Notes"), this);
	mStyle[2] = new QRadioButton(i18n("Tabulature (full) and notes"), this);
	mStyle[3] = new QRadioButton(i18n("Tabulature (minimum) and notes (not implemented)"), this);
	
	for (int i = 0; i < 4; i++)
		mStyleGroup->addWidget(mStyle[i]);
	
	// Set widget layout
	//
	box->addLayout(mStyleGroup);
	box->activate();
	
	// Fill in current config
	//
//	mStyleGroup->setButton(Settings::printingStyle());
}

void OptionsPrinting::defaultBtnClicked()
{
//	mStyleGroup->setButton(0);
}

void OptionsPrinting::applyBtnClicked()
{
/*	config->setGroup("Printing");
	config->writeEntry("Style", mStyleGroup->id(mStyleGroup->selected()));*/
}

#include "optionsprinting.moc"
